Skip to navigation

Updates the specified user's role

View as Markdown

Note: This endpoint is in beta.

This operation updates the specified user’s role in the workspace. Users within the account are considered “Internal” and may be assigned any role. Users outside the account are considered “External” and may only be assigned “External” roles.

Required authentication scopes: dtr.rooms.write

Authentication

AuthorizationBearer
JWT Bearer token from Docusign authorization server

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account
workspaceIdstringRequiredformat: "uuid"
The ID of the workspace
userIdstringRequiredformat: "uuid"
The ID of the user to update

Request

The user details to update to including the RoleId
role_idstringOptionalformat: "uuid"
The ID of the role to update to

Response

The workspace user was successfully updated
role_idstringOptionalformat: "uuid"
The ID of the role assigned to the user

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error